%global pypi_name collectd-gnocchi

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Output plugin for collectd that send metrics to Gnocchi

License:        ASL 2.0
URL:            http://github.com/jd/collectd-gnocchi
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%package -n python2-%{pypi_name}
Summary:        Output plugin for collectd that send metrics to Gnocchi
%{?python_provide:%python_provide python2-collectd-gnocchi}

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr

Requires:  python-gnocchiclient >= 2.7.0
Requires:  python-keystoneauth1

%description -n python2-%{pypi_name}
This is an output plugin for collectd that send metrics to Gnocchi. It will
create a resource type named _collectd_ (by default) and a new resource for
each of the host monitored.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Output plugin for collectd that send metrics to Gnocchi
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires:  python3-gnocchiclient >= 2.7.0
Requires:  python3-keystoneauth1

%description -n python3-%{pypi_name}
This is an output plugin for collectd that send metrics to Gnocchi. It will
create a resource type named _collectd_ (by default) and a new resource for
each of the host monitored.

%endif

%description
This is an output plugin for collectd that send metrics to Gnocchi. It will
create a resource type named _collectd_ (by default) and a new resource for
each of the host monitored.


%prep
%setup -q -n %{pypi_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%py2_build
%if 0%{?with_python3}
pushd %{py3dir}
LANG=en_US.UTF-8 %{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}/

cp collectd.conf %{buildroot}/%{_sysconfdir}/

cp collectd_gnocchi.py %{buildroot}/%{python2_sitelib}/



%if 0%{?with_python3}
pushd %{py3dir}
LANG=en_US.UTF-8 %{__python3} setup.py install --skip-build --root %{buildroot}
cp collectd_gnocchi.py %{buildroot}/%{python3_sitelib}/
popd
%endif

%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%config(noreplace) %attr(-, root, gnocchi) %{_sysconfdir}/collectd.conf
%{python2_sitelib}/collectd_gnocchi-*.egg-info
%{python2_sitelib}/collectd_gnocchi.py
%exclude %{python2_sitelib}/collectd_gnocchi.pyc
%exclude %{python2_sitelib}/collectd_gnocchi.pyo

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%config(noreplace) %attr(-, root, gnocchi) %{_sysconfdir}/collectd.conf
%{python3_sitelib}/collectd_gnocchi-*.egg-info
%{python3_sitelib}/collectd_gnocchi.py
%exclude %{python3_sitelib}/__pycache__/collectd_gnocchi*.pyc
%endif

%changelog
* Mon Dec 19 2016 Pradeep Kilambi <pkilambi@redhat.com> - 1.0.0-1
- Initial package.
